/*
	This file contains the entry point (Reset_Handler) of your firmware project.
	The reset handled initializes the RAM and calls system library initializers as well as
	the platform-specific initializer and the main() function.
*/

extern void *_estack;

#define NULL ((void *)0)

void Reset_Handler();
void Default_Handler();

#ifdef DEBUG_DEFAULT_INTERRUPT_HANDLERS
void __attribute__ ((weak)) NMI_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void NMI_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) HardFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void HardFault_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) MemManage_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void MemManage_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) BusFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void BusFault_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) UsageFault_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void UsageFault_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_0__Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_0__Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_1__Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_1__Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_2__Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_2__Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_3__Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_3__Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) SVC_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SVC_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DebugMon_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DebugMon_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_4__Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_4__Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PendSV_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PendSV_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) SysTick_Handler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void SysTick_Handler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PSS_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PSS_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) CS_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void CS_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PCM_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PCM_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) WDT_A_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void WDT_A_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) FPU_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void FPU_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) FLCTL_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void FLCTL_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) COMP_E0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void COMP_E0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) COMP_E1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void COMP_E1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA0_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA0_0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA0_N_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA0_N_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA1_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA1_0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA1_N_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA1_N_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA2_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA2_0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA2_N_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA2_N_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA3_0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA3_0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) TA3_N_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void TA3_N_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIA0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIA0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIA1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIA1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIA2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIA2_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIA3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIA3_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIB0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIB0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIB1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIB1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIB2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIB2_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) EUSCIB3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void EUSCIB3_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) ADC14_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void ADC14_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) T32_INT1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void T32_INT1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) T32_INT2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void T32_INT2_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) T32_INTC_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void T32_INTC_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) AES256_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void AES256_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) RTC_C_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void RTC_C_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DMA_ERR_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DMA_ERR_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DMA_INT3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DMA_INT3_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DMA_INT2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DMA_INT2_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DMA_INT1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DMA_INT1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) DMA_INT0_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void DMA_INT0_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT1_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT1_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT2_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT2_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT3_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT3_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT4_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT4_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT5_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT5_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) PORT6_IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void PORT6_IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_5__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_5__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_6__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_6__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_7__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_7__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_8__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_8__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_9__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_9__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_10__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_10__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_11__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_11__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_12__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_12__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_13__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_13__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_14__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_14__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_15__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_15__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_16__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_16__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_17__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_17__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_18__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_18__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_19__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_19__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_20__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_20__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_21__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_21__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_22__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_22__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_23__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_23__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_24__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_24__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_25__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_25__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_26__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_26__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_27__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_27__IRQHandler();
	asm("bkpt 255");
};

void __attribute__ ((weak)) Reserved_28__IRQHandler() 
{
	//If you hit the breakpoint below, one of the interrupts was unhandled in your code. 
	//Define the following function in your code to handle it:
	//	extern "C" void Reserved_28__IRQHandler();
	asm("bkpt 255");
};

#else
void NMI_Handler()              __attribute__ ((weak, alias ("Default_Handler")));
void HardFault_Handler()        __attribute__ ((weak, alias ("Default_Handler")));
void MemManage_Handler()        __attribute__ ((weak, alias ("Default_Handler")));
void BusFault_Handler()         __attribute__ ((weak, alias ("Default_Handler")));
void UsageFault_Handler()       __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_0__Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_1__Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_2__Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_3__Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void SVC_Handler()              __attribute__ ((weak, alias ("Default_Handler")));
void DebugMon_Handler()         __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_4__Handler()      __attribute__ ((weak, alias ("Default_Handler")));
void PendSV_Handler()           __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler()          __attribute__ ((weak, alias ("Default_Handler")));
void PSS_IRQHandler()           __attribute__ ((weak, alias ("Default_Handler")));
void CS_IRQHandler()            __attribute__ ((weak, alias ("Default_Handler")));
void PCM_IRQHandler()           __attribute__ ((weak, alias ("Default_Handler")));
void WDT_A_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void FPU_IRQHandler()           __attribute__ ((weak, alias ("Default_Handler")));
void FLCTL_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void COMP_E0_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void COMP_E1_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void TA0_0_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA0_N_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA1_0_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA1_N_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA2_0_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA2_N_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA3_0_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void TA3_N_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIA0_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIA1_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIA2_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIA3_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIB0_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIB1_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIB2_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void EUSCIB3_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void ADC14_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void T32_INT1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void T32_INT2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void T32_INTC_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void AES256_IRQHandler()        __attribute__ ((weak, alias ("Default_Handler")));
void RTC_C_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void DMA_ERR_IRQHandler()       __attribute__ ((weak, alias ("Default_Handler")));
void DMA_INT3_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DMA_INT2_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DMA_INT1_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void DMA_INT0_IRQHandler()      __attribute__ ((weak, alias ("Default_Handler")));
void PORT1_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void PORT2_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void PORT3_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void PORT4_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void PORT5_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void PORT6_IRQHandler()         __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_5__IRQHandler()   __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_6__IRQHandler()   __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_7__IRQHandler()   __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_8__IRQHandler()   __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_9__IRQHandler()   __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_10__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_11__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_12__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_13__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_14__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_15__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_16__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_17__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_18__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_19__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_20__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_21__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_22__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_23__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_24__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_25__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_26__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_27__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
void Reserved_28__IRQHandler()  __attribute__ ((weak, alias ("Default_Handler")));
#endif

void * g_pfnVectors[0x51] __attribute__ ((section (".isr_vector"))) = 
{
	&_estack,
	&Reset_Handler,
	&NMI_Handler,
	&HardFault_Handler,
	&MemManage_Handler,
	&BusFault_Handler,
	&UsageFault_Handler,
	&Reserved_0__Handler,
	&Reserved_1__Handler,
	&Reserved_2__Handler,
	&Reserved_3__Handler,
	&SVC_Handler,
	&DebugMon_Handler,
	&Reserved_4__Handler,
	&PendSV_Handler,
	&SysTick_Handler,
	&PSS_IRQHandler,
	&CS_IRQHandler,
	&PCM_IRQHandler,
	&WDT_A_IRQHandler,
	&FPU_IRQHandler,
	&FLCTL_IRQHandler,
	&COMP_E0_IRQHandler,
	&COMP_E1_IRQHandler,
	&TA0_0_IRQHandler,
	&TA0_N_IRQHandler,
	&TA1_0_IRQHandler,
	&TA1_N_IRQHandler,
	&TA2_0_IRQHandler,
	&TA2_N_IRQHandler,
	&TA3_0_IRQHandler,
	&TA3_N_IRQHandler,
	&EUSCIA0_IRQHandler,
	&EUSCIA1_IRQHandler,
	&EUSCIA2_IRQHandler,
	&EUSCIA3_IRQHandler,
	&EUSCIB0_IRQHandler,
	&EUSCIB1_IRQHandler,
	&EUSCIB2_IRQHandler,
	&EUSCIB3_IRQHandler,
	&ADC14_IRQHandler,
	&T32_INT1_IRQHandler,
	&T32_INT2_IRQHandler,
	&T32_INTC_IRQHandler,
	&AES256_IRQHandler,
	&RTC_C_IRQHandler,
	&DMA_ERR_IRQHandler,
	&DMA_INT3_IRQHandler,
	&DMA_INT2_IRQHandler,
	&DMA_INT1_IRQHandler,
	&DMA_INT0_IRQHandler,
	&PORT1_IRQHandler,
	&PORT2_IRQHandler,
	&PORT3_IRQHandler,
	&PORT4_IRQHandler,
	&PORT5_IRQHandler,
	&PORT6_IRQHandler,
	&Reserved_5__IRQHandler,
	&Reserved_6__IRQHandler,
	&Reserved_7__IRQHandler,
	&Reserved_8__IRQHandler,
	&Reserved_9__IRQHandler,
	&Reserved_10__IRQHandler,
	&Reserved_11__IRQHandler,
	&Reserved_12__IRQHandler,
	&Reserved_13__IRQHandler,
	&Reserved_14__IRQHandler,
	&Reserved_15__IRQHandler,
	&Reserved_16__IRQHandler,
	&Reserved_17__IRQHandler,
	&Reserved_18__IRQHandler,
	&Reserved_19__IRQHandler,
	&Reserved_20__IRQHandler,
	&Reserved_21__IRQHandler,
	&Reserved_22__IRQHandler,
	&Reserved_23__IRQHandler,
	&Reserved_24__IRQHandler,
	&Reserved_25__IRQHandler,
	&Reserved_26__IRQHandler,
	&Reserved_27__IRQHandler,
	&Reserved_28__IRQHandler,
};

void SystemInit();
void __libc_init_array();
int main();

extern void *_sidata, *_sdata, *_edata;
extern void *_sbss, *_ebss;

void __attribute__((naked, noreturn)) Reset_Handler()
{
	//Normally the CPU should will setup the based on the value from the first entry in the vector table.
	//If you encounter problems with accessing stack variables during initialization, ensure 
	//asm ("ldr sp, =_estack");

	void **pSource, **pDest;
	for (pSource = &_sidata, pDest = &_sdata; pDest != &_edata; pSource++, pDest++)
		*pDest = *pSource;

	for (pDest = &_sbss; pDest != &_ebss; pDest++)
		*pDest = 0;

	SystemInit();
	__libc_init_array();
	(void)main();
	for (;;) ;
}

void __attribute__((naked, noreturn)) Default_Handler()
{
	//If you get stuck here, your code is missing a handler for some interrupt.
	//Define a 'DEBUG_DEFAULT_INTERRUPT_HANDLERS' macro via VisualGDB Project Properties and rebuild your project.
	//This will pinpoint a specific missing vector.
	for (;;) ;
}
